audacious crashed with SIGSEGV in g_type_check_instance_cast()

Bug #208666 reported by vladdrac on 2008-03-29
336
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xmms-crossfade (Ubuntu)
Medium
StefanPotyra
Hardy
Medium
StefanPotyra
Intrepid
Medium
StefanPotyra

Bug Description

Binary package hint: audacious

started audacious, failed to load and received error.

TEST CASE:
on i386, install audacious and audacious-crossfade. start audacious, segfaults immediately.
With the rebuilt package, try the same and see if it doesn't segfault.

Regression potential:
Since it's a rebuild, potential for regression is almost 0.

course of action for intrepid:
rebuild with a new version number that won't clash.

ProblemType: Crash
Architecture: i386
CrashCounter: 1
Date: Sat Mar 29 08:11:49 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/bin/audacious
NonfreeKernelModules: nvidia
Package: audacious 1.5.0-2
PackageArchitecture: i386
ProcCmdline: audacious
ProcEnviron:
 PATH=/usr/loUser Name/sbin:/usr/loUser Name/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: audacious
StacktraceTop:
 g_type_check_instance_cast ()
 ?? ()
 ?? () from /usr/lib/audacious/Output/libcrossfade.so
 ?? ()
 ?? ()
Title: audacious crashed with SIGSEGV in g_type_check_instance_cast()
Uname: Linux 2.6.24-12-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev sambashare video

vladdrac (caleb-rill) wrote :

StacktraceTop:dock_is_moving (w=0xb62ad0a9) at dock.c:466
xfplayer_get_output_list () at player.c:104
xfade_init () at crossfade.c:687
plugin_system_init () at pluginenum.c:907
main (argc=1, argv=0xbfaa9ba4) at main.c:1473

Changed in audacious:
importance: Undecided → Medium
toobuntu (toobuntu) wrote :

Just happened to me again. Audacious 1.5.0-2 won't even load without segfaulting on up-to-date Hardy.

Changed in audacious:
status: New → Confirmed
toobuntu (toobuntu) wrote :

attaching gdb backtrace. seems to be a problem with /usr/lib/audacious/Output/libcrossfade.so

Matt Behrens (zigg) wrote :

Debian had this problem as well. It looks like a binary rebuild can fix the problem.

http://<email address hidden>/msg134209.html

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=472630

StefanPotyra (sistpoty) wrote :

in one of the dupes, it's written that a simple rebuild fixes the issue. motu-sru, ok to upload one to hardy-proposed? (If you want a debdiff, I can do so, but not before tonight, once I'm at home).

Matt Behrens (zigg) wrote :

@StefanPotyra, I have not confirmed that this indeed works. Just passing on the info. I am sort of short on time to get the build environment up and running etc.

John Dong (jdong) wrote :

ACK from motu-sru to attempt a rebuild to hardy-proposed. We'll address whether or not this works in verification phase as the chances of a rebuild regressing is pretty low.

StefanPotyra (sistpoty) wrote :

@Matt: it was confirmed in one of the duplicates to work. Of course I'll test it myself prior to uploading (as soon as I get home from work ;).

StefanPotyra (sistpoty) on 2008-04-25
Changed in xmms-crossfade:
assignee: nobody → sistpoty
StefanPotyra (sistpoty) wrote :
StefanPotyra (sistpoty) wrote :

interesting. It works fine on amd64, but crashes on i386 instantly when launched with the old version. I'm just rebuilding an i386 package to make sure if it really fixes the issue.

P.S.: the version in the above debdiff won't clash, since intrepid will sync the "+b1" version automatically.

StefanPotyra (sistpoty) on 2008-04-25
description: updated
description: updated
StefanPotyra (sistpoty) wrote :

uploaded to -proposed, needs to get accepted by an archive admin.

Steve Langasek (vorlon) wrote :

accepted into hardy-proposed.

Changed in xmms-crossfade:
status: Confirmed → Fix Committed
StefanPotyra (sistpoty) on 2008-04-26
description: updated
StefanPotyra (sistpoty) wrote :

ok, now everyone please test the package from hardy-proposed. If it works, please report it here. If it doesn't please also report here. Thanks!

P.S.: In case someone has trouble installing the package from hardy-proposed, please let me know, I'll post detailed information about it then.

Tom Kiesel (tom-nonotyet) wrote :

I guess I'm a little behind the times on where to get the hardy-proposed packages. I'd like to just grab .debs as I want them.. but if there's a repo I have to add, I'll do that too.

Tried to add hardy-proposed as a repo, but the only version of audacious-crossfade that Synaptic sees is the broken Hardy version.

## Proposed??
deb http://us.archive.ubuntu.com/ubuntu/ hardy-proposed main restricted universe multiverse

StefanPotyra (sistpoty) wrote :

@Tom: hm... that should actually work, but it strangely doesn't.

you can grab the .deb directly from e.g. http://archive.ubuntu.com/ubuntu/pool/universe/x/xmms-crossfade/audacious-crossfade_0.3.12-2build1_i386.deb

StefanPotyra (sistpoty) wrote :

@Archive admins: looks like the package list doesn't get updated for hardy-proposed. can you take a look please? Thanks.

Matt Behrens (zigg) wrote :

@Stefan, thanks for the investigation yesterday, I almost asked why it wasn't in -proposed yesterday but thought there might be a propagation delay or somesuch. :)

I don't think you built the correct version, though. I had 1.3.14 installed and this is 1.3.12. The build1 package depends on libaudacious5 as well which is not in hardy (don't know if it's in -proposed, with the empty Packages files), and if I pull that from http://archive.ubuntu.com/ubuntu/pool/universe/a/audacious/libaudacious5_1.3.2-4_i386.deb and install, it won't load under hardy's audacious anyway:

$ audacious
Failed to load plugin (/usr/lib/audacious/Output/libcrossfade.so): /usr/lib/audacious/Output/libcrossfade.so: undefined symbol: ctrlsocket_get_session_id

Matt Behrens (zigg) wrote :

Correction: re audacious-crossfade versions, I meant 0.3.12 and 0.3.14, not 1.x.x.

StefanPotyra (sistpoty) wrote :

erm... sorry. I did rebuilt the right version (0.3.14-1build1), but I gave the link to an older version. Looks like the new version isn't yet anywhere in the archive :/. Archive admins?

Jarmo Ilonen (trewas) wrote :

Audacious now works with audacious-crossfade_0.3.14-1build1_i386.deb, thanks!

Matt Behrens (zigg) wrote :

Thanks! Confirming that it does indeed fix this bug, and I'm happily listening to ridiculously long prog rock epics again without hiccups. :)

I did run into a strange problem where selecting the ALSA output plugin within the Crossfade plugin caused audacious to lock up, twice, when I started playback but before any sound was made... but cannot reproduce it now. I had no trouble with built-in OSS, OSS plugin, or PulseAudio, and ALSA is working fine now too.

Martin Pitt (pitti) wrote :

The issue of not updating archive.u.c. with the packages from hardy-proposed has finally been fixed. They should appear within the hour.

Martin Pitt (pitti) wrote :

Copied to hardy-updates.

Changed in xmms-crossfade:
status: Fix Committed → Fix Released
StefanPotyra (sistpoty) wrote :

meh, it's a binNMU in unstable, which won't change the source version, hence there's nothing to (auto)sync for intrepid. I'll take care for the rebuild as soon as the archive is open.

Changed in xmms-crossfade:
status: Fix Committed → Confirmed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xmms-crossfade - 0.3.14-1build2

---------------
xmms-crossfade (0.3.14-1build2) intrepid; urgency=low

  * Rebuild for new audacious, LP: #208666.

 -- Stefan Potyra <email address hidden> Fri, 02 May 2008 19:55:55 +0200

Changed in xmms-crossfade:
status: Confirmed → Fix Released

audacious-crossfade from https://launchpad.net/ubuntu/intrepid/+package/audacious-crossfade doesn't work for me on Intrepid i386.
I just made a package that works and I attach it.
Good evening.

audacious-crossfade from https://launchpad.net/ubuntu/intrepid/+package/audacious-crossfade doesn't work for me on Intrepid i386.
I just made a package that works and I attach it.
Good evening.

bodhi.zazen (bodhi.zazen) wrote :

Hmmm ... I just ran into this problem in Kubuntu 8.10

I found a lot of bug reports implicating crossfade :

https://bugs.launchpad.net/ubuntu/+source/xmms-crossfade/+bug/208425

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491615

But I do not have that plug in installed :(

My solution was to delete the directory ~/.config/audacious

HTH, (Just posting on this report as it was one the top launchpad threads on a google search).

audacious (1.5.1-3ubuntu1.1)
audacious-plugins (1.5.1-2ubuntu2)
audacious-plugins-extra (1.5.1-2ubuntu2)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.